Skip to main content
GET
/
api
/
calls
/
{call_id}
/
stages
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/calls/{call_id}/stages \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.ultravox.ai/api/calls/{call_id}/stages"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.ultravox.ai/api/calls/{call_id}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "callStageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created": "2023-11-07T05:31:56Z",
      "initialTokenCount": 123,
      "latestTokenCount": 123,
      "temperature": 123,
      "errorCount": 123,
      "experimentalSettings": "<unknown>",
      "initialState": {},
      "inactivityMessages": [
        {
          "duration": "<string>",
          "message": "<string>"
        }
      ],
      "languageHint": "<string>",
      "model": "<string>",
      "systemPrompt": "<string>",
      "timeExceededMessage": "<string>",
      "voice": "<string>",
      "externalVoice": {
        "elevenLabs": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "useSpeakerBoost": true,
          "style": 123,
          "similarityBoost": 123,
          "stability": 123,
          "pronunciationDictionaries": [
            {
              "dictionaryId": "<string>",
              "versionId": "<string>"
            }
          ],
          "optimizeStreamingLatency": 123,
          "maxSampleRate": 123,
          "enableSsmlParsing": true
        },
        "cartesia": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "emotion": "<string>",
          "emotions": [
            "<string>"
          ],
          "generationConfig": {
            "volume": 123,
            "speed": 123,
            "emotion": "<string>",
            "pronunciationDictId": "<string>"
          }
        },
        "lmnt": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "conversational": true
        },
        "google": {
          "voiceId": "<string>",
          "speakingRate": 123
        },
        "inworld": {
          "voiceId": "<string>",
          "modelId": "<string>",
          "speakingRate": 123,
          "temperature": 123,
          "applyTextNormalization": true
        },
        "respeecher": {
          "voiceId": "<string>",
          "model": "<string>",
          "seed": 123,
          "temperature": 123,
          "topK": 123,
          "topP": 123,
          "minP": 123,
          "presencePenalty": 123,
          "repetitionPenalty": 123,
          "frequencyPenalty": 123
        },
        "generic": {
          "url": "<string>",
          "headers": {},
          "body": {},
          "responseSampleRate": 123,
          "responseWordsPerMinute": 123,
          "responseMimeType": "<string>",
          "jsonAudioFieldPath": "<string>"
        }
      },
      "voiceOverrides": {
        "elevenLabs": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "useSpeakerBoost": true,
          "style": 123,
          "similarityBoost": 123,
          "stability": 123,
          "pronunciationDictionaries": [
            {
              "dictionaryId": "<string>",
              "versionId": "<string>"
            }
          ],
          "optimizeStreamingLatency": 123,
          "maxSampleRate": 123,
          "enableSsmlParsing": true
        },
        "cartesia": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "emotion": "<string>",
          "emotions": [
            "<string>"
          ],
          "generationConfig": {
            "volume": 123,
            "speed": 123,
            "emotion": "<string>",
            "pronunciationDictId": "<string>"
          }
        },
        "lmnt": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "conversational": true
        },
        "google": {
          "voiceId": "<string>",
          "speakingRate": 123
        },
        "inworld": {
          "voiceId": "<string>",
          "modelId": "<string>",
          "speakingRate": 123,
          "temperature": 123,
          "applyTextNormalization": true
        },
        "respeecher": {
          "voiceId": "<string>",
          "model": "<string>",
          "seed": 123,
          "temperature": 123,
          "topK": 123,
          "topP": 123,
          "minP": 123,
          "presencePenalty": 123,
          "repetitionPenalty": 123,
          "frequencyPenalty": 123
        },
        "generic": {
          "url": "<string>",
          "headers": {},
          "body": {},
          "responseSampleRate": 123,
          "responseWordsPerMinute": 123,
          "responseMimeType": "<string>",
          "jsonAudioFieldPath": "<string>"
        }
      }
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "total": 123
}
Stages represent distinct segments of the conversation where different parameters (e.g. system prompt or tools) may have been used.

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

call_id
string<uuid>
required

Query Parameters

cursor
string

The pagination cursor value.

pageSize
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

total
integer
Example:

123